// testvvw.h : interface of the CTestvbxView class
//
/////////////////////////////////////////////////////////////////////////////

class CTestvbxView : public CFormView
{
protected: // create from serialization only
	CTestvbxView();
	DECLARE_DYNCREATE(CTestvbxView)

public:
	//{{AFX_DATA(CTestvbxView)
	enum { IDD = IDD_TESTVBX_FORM };
	CVBControl*	pOutline1;
	UINT	nNumNodes;
	UINT	nMaxIndent;
	UINT	nIndentLevel;
	UINT	nCurrentNode;
	BOOL	bAllowAppend;
	BOOL	bAllowDelete;
	BOOL	bAllowEdit;
	BOOL	bAllowInsert;
	BOOL	bAllowRedraw;
	BOOL	bNumbering;
	//}}AFX_DATA

// Attributes
public:
	CTestvbxDoc* GetDocument();

// Operations
public:

// Implementation
public:
	virtual ~CTestvbxView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL UpdateData(BOOL bSaveAndValidate);

// Generated message map functions
protected:
	//{{AFX_MSG(CTestvbxView)
	afx_msg void OnAddnodeOlVbx1(UINT, int, CWnd*, LPVOID);
	afx_msg void OnChangenodeOlVbx1(UINT, int, CWnd*, LPVOID);
	afx_msg void OnInsertnodeOlVbx1(UINT, int, CWnd*, LPVOID);
	afx_msg void OnChangeselectionOlVbx1(UINT, int, CWnd*, LPVOID);
	afx_msg void OnDeletenodeOlVbx1(UINT, int, CWnd*, LPVOID);
	afx_msg void OnIndentnodeOlVbx1(UINT, int, CWnd*, LPVOID);
	afx_msg void OnKillfocusOlVbx1(UINT, int, CWnd*, LPVOID);
	afx_msg void OnLeftbuttonclickOlVbx1(UINT, int, CWnd*, LPVOID);
	afx_msg void OnMiddlebuttonclickOlVbx1(UINT, int, CWnd*, LPVOID);
	afx_msg void OnRightbuttonclickOlVbx1(UINT, int, CWnd*, LPVOID);
	afx_msg void OnSetfocusOlVbx1(UINT, int, CWnd*, LPVOID);
	afx_msg void OnVerticalscrollOlVbx1(UINT, int, CWnd*, LPVOID);
	afx_msg void OnOKBUTTON();
	afx_msg void OnDelitem();
	afx_msg void OnDelete();
	afx_msg void OnAddnode();
	afx_msg void OnAllowappend();
	afx_msg void OnAllowdelete();
	afx_msg void OnAllowedit();
	afx_msg void OnAllowinsert();
	afx_msg void OnAllowredraw();
	afx_msg void OnKillfocusCurrentnode();
	afx_msg void OnDelnode();
	afx_msg void OnFlush();
	afx_msg void OnKillfocusIndentlevel();
	afx_msg void OnKillfocusMaxindent();
	afx_msg void OnNumbering();
	afx_msg UINT OnGetDlgCode();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in testvvw.cpp
inline CTestvbxDoc* CTestvbxView::GetDocument()
   { return (CTestvbxDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
